backend:
  image: registry.gitlab.com/czytaj-to/czytaj-to-backend:latest
  links:
    - db
  command: gunicorn --timeout 1000 -w 4 -b :8000 selfstorage.wsgi:application
  entrypoint: ["./django-entrypoint.sh"]
  environment:
    - PYTHONUNBUFFERED=1
  volumes:
    - 'static:/static'
    - 'media:/media'

db:
  image: mdillon/postgis:latest
  restart: always
  volumes_from:
    - dbdata
  labels:
    - io.rancher.sidekicks=dbdata

dbdata:
  image: mdillon/postgis:latest
  volumes:
    - /var/lib/postgresql
  command: "true"
  labels:
    - io.rancher.container.start_once=true

worker:
  image: registry.gitlab.com/czytaj-to/czytaj-to-backend:latest
  command: celery -A czytajto worker --loglevel=info
  entrypoint: ["./celery-entrypoint.sh"]
  links:
    - db
    - rabbitmq
  env_file: .env
  volumes:
    - 'media:/media'
  environment:
    - C_FORCE_ROOT=true
    - DJANGO_SETTINGS_MODULE=czytajto.settings.prod
  labels:
    - "io.rancher.container.network=true"

rabbitmq:
  image: rabbitmq:latest
  env_file: .env
  labels:
    - "io.rancher.container.network=true"